Eclipse Platform Release 3.7

## org.eclipse.jface.dialogs
Class DialogTray

    java.lang.Object
      org.eclipse.jface.dialogs.DialogTray

    public abstract class DialogTray

extends Object

This class is the abstract superclass of all dialog trays. A tray can be opened in any `TrayDialog`.

Since:
  3.2
See Also:
  `TrayDialog`

Constructor Summary
`DialogTray()`

Method Summary
`protected abstract Control` `createContents(Composite parent)` Creates the contents (widgets) that will be contained in the tray.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogTray

    public DialogTray()

Method Detail

### createContents

    protected abstract Control createContents(Composite parent)

  Creates the contents (widgets) that will be contained in the tray.

  Tray implementions must not set a layout on the parent composite, or assume a particular layout on the parent. The tray dialog will allocate space according to the natural size of the tray, and will fill the tray area with the tray's contents.

  Parameters:
    `parent` - the composite that will contain the tray
  Returns:
    the contents of the tray, as a `Control`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.